Subject: [Teep] Small typo in draft-ietf-suit-manifest-14

From: Akira Tsukamoto <[email-masked]>
Date: Mon, 27 Sep 2021 18:44:34 +0900

Hi,

I think I found a little typo in the draft-ietf-suit-manifest-14 at
https://datatracker.ietf.org/doc/draft-ietf-suit-manifest/

At the "Appendix A.  A.  Full CDDL" of the "SUIT_Severable_Members_Choice",

---
SUIT_Severable_Members_Choice = (
   ? suit-dependency-resolution => \
     bstr .cbor SUIT_Command_Sequence / SUIT_Digest,
   ? suit-payload-fetch => \
     bstr .cbor SUIT_Command_Sequence / SUIT_Digest,
   ? suit-install => bstr .cbor SUIT_Command_Sequence / SUIT_Digest,
   ? suit-text => bstr .cbor SUIT_Command_Sequence / SUIT_Digest,
   ? suit-coswid => bstr .cbor SUIT_Command_Sequence / SUIT_Digest,
   * $$severable-manifest-members-choice-extensions
)
---

the last two members are pointing to "SUIT_Command_Sequence"
are probably typos as following,

---
   ? suit-text => bstr .cbor SUIT_Text_Map,
   ? suit-coswid => bstr .cbor concise-software-identity,
---

I was in the middle of adding examples of suit manifest formats in the teep protocol
on the github.
https://github.com/ietf-teep/teep-protocol/issues/158

Please wait a little more to finish adding them.

Best,

Akira Tsukamoto